Package org.gradle.tooling.model.cpp

## Interface LinkageDetails

-     public interface LinkageDetails

  Represents the linkage details for a binary.
  Since:
    4.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.lang.String>` | `getAdditionalArgs()` | Returns any additional linker arguments.
    `Task` | `getLinkTask()` | Returns details of the link task for the binary.
    `java.io.File` | `getOutputLocation()` | Returns the output location of this binary.

- - ### Method Detail

    - #### getLinkTask

          Task getLinkTask()

      Returns details of the link task for the binary. This is the task that should be run to produce the binary output, but may not necessarily be the task that links the binary. For example, the task may do some post processing of the binary.

    - #### getOutputLocation

          java.io.File getOutputLocation()

      Returns the output location of this binary.

    - #### getAdditionalArgs

          java.util.List<java.lang.String> getAdditionalArgs()

      Returns any additional linker arguments.